package cc.smtweb.system.bpm.web.sys.base.attach;

import cc.smtweb.framework.core.annotation.SwTable;
import cc.smtweb.framework.core.db.impl.DefaultEntity;

/**
 * Created by 1 at 2022-08-03 12:31:43
 * 实体【[附件信息](SYS_ATTACH_INFO)】的Entity类
 */
@SwTable("SYS_ATTACH_INFO")
public class AttachInfo extends DefaultEntity {
    public static final String ENTITY_NAME = "SYS_ATTACH_INFO";

    public AttachInfo() {
        super(ENTITY_NAME);
    }

    /**
     * 附件ID
     */
    public long getId() {
        return getLong("attach_id");
    }

    /**
     * 附件ID
     */
    public void setId(long attach_id) {
        put("attach_id", attach_id);
    }

    /**
     * 附件名称
     */
    public String getName() {
        return getStr("attach_name");
    }

    /**
     * 附件名称
     */
    public void setName(String attach_name) {
        put("attach_name", attach_name);
    }

    /**
     * 附件文件后缀
     */
    public String getSuffix() {
        return getStr("attach_suffix");
    }

    /**
     * 附件文件后缀
     */
    public void setSuffix(String attach_suffix) {
        put("attach_suffix", attach_suffix);
    }

    /**
     * 拥有者id
     */
    public long getOwnerId() {
        return getLong("attach_owner_id");
    }

    /**
     * 拥有者id
     */
    public void setOwnerId(long attach_owner_id) {
        put("attach_owner_id", attach_owner_id);
    }

    /**
     * 远程路径
     */
    public String getPath() {
        return getStr("attach_path");
    }

    /**
     * 远程路径
     */
    public void setPath(String attach_path) {
        put("attach_path", attach_path);
    }

    /**
     * 附件类别
     */
    public String getType() {
        return getStr("attach_type");
    }

    /**
     * 附件类别
     */
    public void setType(String attach_type) {
        put("attach_type", attach_type);
    }

    /**
     * 附件大小
     */
    public long getSize() {
        return getLong("attach_size");
    }

    /**
     * 附件大小
     */
    public void setSize(long attach_size) {
        put("attach_size", attach_size);
    }

    /**
     * 是否临时文件
     */
    public int getIsTemp() {
        return getInt("attach_is_temp");
    }

    /**
     * 是否临时文件
     */
    public void setIsTemp(int attach_is_temp) {
        put("attach_is_temp", attach_is_temp);
    }

    /**
     * 上传单位
     */
    public long getPartyId() {
        return getLong("attach_party_id");
    }

    /**
     * 上传单位
     */
    public void setPartyId(long attach_party_id) {
        put("attach_party_id", attach_party_id);
    }

    /**
     * 上传时间
     */
    public long getTime() {
        return getLong("attach_time");
    }

    /**
     * 上传时间
     */
    public void setTime(long attach_time) {
        put("attach_time", attach_time);
    }

    /**
     * 上传人员
     */
    public long getUserId() {
        return getLong("attach_user_id");
    }

    /**
     * 上传人员
     */
    public void setUserId(long attach_user_id) {
        put("attach_user_id", attach_user_id);
    }

    /**
     * 下载次数
     */
    public int getCount() {
        return getInt("attach_count");
    }

    /**
     * 下载次数
     */
    public void setCount(int attach_count) {
        put("attach_count", attach_count);
    }
}
